#!/bin/bash
################################################# 
# Initial sensorMgmt Table
# TODO:
#   
#################################################
. $MX_SCRIPT_PATH/mx_global.sh
. $MX_SCRIPT_PATH/snmp/global.sh

TABLE="$mx_sensor_mgmt_table"
BIOS_TOOL="$MX_SCRIPT_PATH/snmp/bSNMP.elf"

#################################################
# STARTING POINT:
#################################################

# Delete all records in mxSensorMgmt Table
query="DELETE FROM $TABLE"
gb_sql_query "$query"

# 1. Get Temperature Sensor support count
Count=`$BIOS_TOOL -t | sed -n "s:Count\: \(.*\)\r:\1:p"`
Count=$(($Count-1))

# 2. Loop to update Temperature data
for i in `seq 0 1 $Count`; do
    # 3. Get Data Name of each Temperature Data
	Name=`$BIOS_TOOL -t$i | sed -n "s:\(.*\)\: \(.*\)\r:\1:p"`
	
	# 4. Get Data Value of each Temperature Data
	Value=`$BIOS_TOOL -t$i | sed -n "s:\(.*\)\: \(.*\)\r:\2:p"`

#R00-start
	if [ "$Value" -ge "126000" -o "$Value" -le "-56000" ]; then
		Name="NONE"
		Value=0
	fi
#R00-end
	
	# 5. Update Name/Value of each Temperature Data into Database
	Query="INSERT OR REPLACE INTO $TABLE (type, number, name, value) VALUES (0, $i, '$Name', '$Value')"
	gb_sql_query "$Query"
done

# 6. Get Voltage Sensor support count
Count=`$BIOS_TOOL -o | sed -n "s:Count\: \(.*\)\r:\1:p"`
Count=$(($Count-1))

# 7. Loop to insert Voltage data
for i in `seq 0 1 $Count`; do
    # 8. Get Data Name of each Voltage Data
	Name=`$BIOS_TOOL -o$i | sed -n "s:\(.*\)\: \(.*\)\r:\1:p"`
	
	# 9. Get Data Value of each Voltage Data
	Value=`$BIOS_TOOL -o$i | sed -n "s:\(.*\)\: \(.*\)\r:\2:p"`
	
	# 10. Update Name/Value of each Voltage Data into Database
	Query="INSERT OR REPLACE INTO $TABLE (type, number, name, value) VALUES (1, $i, '$Name', '$Value')"
	gb_sql_query "$Query"
done
